FROM node:22-alpine

WORKDIR /app
# Устанавливаем git
RUN apk update --no-cache
RUN apk add --no-cache git
RUN git clone https://git.dadehard.ru/kalugin66/hotell777_260507.git .
# Копируем уже склонированный репозиторий с хоста
#COPY ./hotel777 /app
RUN npm i
EXPOSE 3000
CMD ["npm", "start"]
